using IgnoreOPS;

namespace ChillConnect
{
    public static class ManagerRegister
    {
        public static void Register()
        {
            var managerOfManager = ManagerOfManager.Instance;
            managerOfManager.AddManager(ModuleManager.Instance);

            managerOfManager.AddManager(DateTimeManager.Instance);
            managerOfManager.AddManager(GameIManager.Instance);
            managerOfManager.AddManager(SceneManager.Instance);

            managerOfManager.AddManager(SceneSwitchManager.Instance);
            managerOfManager.AddManager(TimerIManager.Instance);

           // managerOfManager.AddManager(DataMgr);
        }

        public static void RegisterData()
        {
            SceneManagerRegister.AutoRegisterScene();
            ModuleManagerRegister.AutoRegisterModel();
            ModuleManagerRegister.AutoRegisterUIType();
            ModuleManagerRegister.AutoRegisterCtrl();
            ModuleManagerRegister.AutoRegisterUICtrl();
            UIManagerRegister.AutoRegisterBinder();
            UIManagerRegister.AutoRegisterCommonPackages();
        }
    }
}